List activities
This endpoint returns a list of "activities" for people, similar to your workspace's Activity Logs. This endpoint is guaranteed to return activity history within the past 30 days. It might return data older than 30 days in some circumstances, but activites older than 30 days are not guaranteed.
- Type: stringstart
The token for the page of results you want to return. Responses contain a
nextproperty. Use this property as thestartvalue to return the next page of results. - Type: string enumtype
The type of activity you want to search for. Types with
_o:<object_type_id>are for objects and types with_r:<object_type_id>are for relationships.The type of activity. Types with
_o:<object_type_id>are for objects and types with_r:<object_type_id>are for relationships.values- add
_relationship - anon
_merge - attempted
_action - attempted
_email - attempted
_in _app
- Type: stringname
The name of the event or attribute you want to return.
- Type: booleandeleted
If true, return results for deleted people.
- Type: stringcustomer
_id The
identifierof the person you want to look up. By default, this is a person'sid. You can use theid_typeparameter to look up a person byemail,phone, orcio_id.If you use a person's
cio_id, you must prefix the value withcio_when using it to find or reference a person (i.e.cio_03000010for acio_idvalue of 03000010). - Type: string enumid
_type The type of
customer_idyou want to use to reference a person. If you don't provide this parameter, we assume that thecustomer_idin your request is a person'sid. You can useemailandphoneonly if they're enabled as identifiers in your workspace settings; otherwise the request returns400. Referencephonevalues in E.164 format, like+14155552671, and URL-encode the leading+as%2B.values- id
- email
- phone
- cio
_id
- Type: integerlimitmax:100
The maximum number of results you want to retrieve per page.
- application/json
- application/json
curl https://api.customer.io/v1/activities \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"activities": [
{
"customer_id": "42",
"customer_identifiers": {
"cio_id": "a3000001",
"email": "test@example.com",
"id": 2
},
"data": {
"delivered": null,
"delivery_id": "ZAIAAVTJVG0QcCok0-0ZKj6yiQ==",
"opened": null
},
"delivery_id": "ZAIAAVTJVG0QcCok0-0ZKj6yiQ==",
"delivery_type": "email",
"id": "01AK4N8V8G8KVA4HN8Y50CCZ59",
"name": "string",
"timestamp": 1397566226,
"type": "sent_email",
"url": "string"
}
],
"next": "string"
}Returns an array of activities.